cURL
curl --request POST \
--url https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiryUrl": "<string>",
"countryId": "LV"
}
'import requests
url = "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank"
payload = {
"payerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiryUrl": "<string>",
"countryId": "LV"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
successUrl: '<string>',
cancelUrl: '<string>',
expiryUrl: '<string>',
countryId: 'LV'
})
};
fetch('https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => 123,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'successUrl' => '<string>',
'cancelUrl' => '<string>',
'expiryUrl' => '<string>',
'countryId' => 'LV'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank"
payload := strings.NewReader("{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}"
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"redirectUrl": "https://bank.example.com/payment"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}{
"status": "ERROR",
"errors": {
"email": "Email cannot be blank."
}
}Endpoints
POST /v1/wallet/{id}/deposit/bank
POST
/
v1
/
wallet
/
{id}
/
deposit
/
bank
cURL
curl --request POST \
--url https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiryUrl": "<string>",
"countryId": "LV"
}
'import requests
url = "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank"
payload = {
"payerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiryUrl": "<string>",
"countryId": "LV"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
successUrl: '<string>',
cancelUrl: '<string>',
expiryUrl: '<string>',
countryId: 'LV'
})
};
fetch('https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => 123,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'successUrl' => '<string>',
'cancelUrl' => '<string>',
'expiryUrl' => '<string>',
'countryId' => 'LV'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank"
payload := strings.NewReader("{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/wallet/{id}/deposit/bank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"successUrl\": \"<string>\",\n \"cancelUrl\": \"<string>\",\n \"expiryUrl\": \"<string>\",\n \"countryId\": \"LV\"\n}"
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"redirectUrl": "https://bank.example.com/payment"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}{
"status": "ERROR",
"errors": {
"email": "Email cannot be blank."
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
0, 1 Body
application/json
payer UUID
deposit amount
deposit intent UUID (optional)
URL for redirecting after successful payment
URL for redirecting after cancelling payment
URL for redirecting after consent expiration
Payer country ISO 3166-1 alpha-2 code; client country is used by default
Required string length:
2Example:
"LV"